package com.pcloud.book.copyright.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author lily
 * @date 2018/12/5 16:04
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GetAuthInfoParam implements Serializable {
    @ApiModelProperty("二维码标识")
    private Long sceneId;

    @ApiModelProperty("图书标识")
    private Long bookId;

    @ApiModelProperty("编辑标识")
    private Long adviserId;

    @ApiModelProperty("书刊类型：0-现代纸书 1-社群书")
    private Integer authBookType;

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Integer getAuthBookType() {
        return authBookType;
    }

    public void setAuthBookType(Integer authBookType) {
        this.authBookType = authBookType;
    }

    @Override
    public String toString() {
        return "GetAuthInfoParam{" +
                "sceneId=" + sceneId +
                ", bookId=" + bookId +
                ", adviserId=" + adviserId +
                ", authBookType=" + authBookType +
                '}';
    }
}
